:root {
  /* Font families */
  --font-heading: "Auralux", sans-serif;
  --font-body: Helvetica, Arial, sans-serif;

  /* Brutalist scale (can be tweaked) */
  --text-xs: 12px; /* 12px */
  --text-sm: 14px; /* 14px */
  --text-base: 16px; /* 16px */
  --text-lg: 18px; /* 18px */
  --text-xl: 24px; /* 24px */
  --text-2xl: 36px; /* 36px */
  --text-3xl: 48px; /* 48px */
  --text-4xl: 64px; /* 64px */

  --color-dark: #000;
  --color-white: #fff;
  --color-main: #454d38;
  --color-sub: #ffd4b2;
  --color-accent: #b27326;
  --color-accent-light: #f7f1e9;
}

.text-xs {
  font-size: var(--text-xs);
} /* 12px */
.text-sm {
  font-size: var(--text-sm);
} /* 14px */
.text-base {
  font-size: var(--text-base);
} /* 16px */
.text-lg {
  font-size: var(--text-lg);
} /* 18px */
.text-xl {
  font-size: var(--text-xl);
} /* 24px */
.text-2xl {
  font-size: var(--text-2xl);
} /* 36px */
.text-3xl {
  font-size: var(--text-3xl);
} /* 48px */
.text-4xl {
  font-size: var(--text-4xl);
} /* 64px */

.vh-100 {
  min-height: 100vh;
}

.vh-5 {
  min-height: 5vh;
}
.vh-10 {
  min-height: 10vh;
}
.vh-20 {
  min-height: 20vh;
}
.vh-30 {
  min-height: 30vh;
}
.vh-40 {
  min-height: 40vh;
}
.vh-50 {
  min-height: 50vh;
}
.vh-60 {
  min-height: 60vh;
}
.vh-70 {
  min-height: 70vh;
}
.vh-80 {
  min-height: 80vh;
}
.vh-90 {
  min-height: 90vh;
}
.vh-100 {
  min-height: 100vh;
}

.bg-pattern {
  background-image: url(img/pattern.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 100vh;
}

.bg-main-light {
  background-color: #f7f1e9;
}

.text-main-light {
  color: #f7f1e9;
}

.ls-wide {
  letter-spacing: 2px;
}

.booking-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: all 300ms ease-out;
  padding-top: 60px;
  padding-bottom: 60px;
}

.booking-box.price {
  background-color: #f7f1e9;
  color: #000;
}

.booking-box.form {
  border: solid 1px #f7f1e9;
  background: #454d38;
}

.booking-box .form-control {
  border: none;
  border-bottom: solid 1px var(--color-accent-light);
  border-radius: 0;
  padding: 0;
  padding-bottom: 10px;
  margin-bottom: 30px;
  background-color: transparent;
  color: var(--color-white);
}

.booking-box .form-control::placeholder {
  color: var(--color-accent-light);
}

.booking-box .form-control[type="date"]::-webkit-calendar-picker-indicator {
  filter: invert(1);
}

.booking-box .form-control:focus {
  box-shadow: none;
  border-color: var(--color-accent);
}

.superscript {
  font-size: 0.4em;
  position: relative;
  top: -1.1em;
}
.subscript {
  font-size: 0.3em;
  position: relative;
  top: 0;
}

.btn-light-outline {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  border: solid 1px var(--color-accent-light);
  color: var(--color-accent-light);
  text-decoration: none;
  border-radius: 0px;
  font-size: 0.8rem;
}

.btn-light-outline:hover,
.btn-light-outline:focus,
.btn-light-outline:active {
  background-color: #f7f1e9;
}

select.form-control {
  color: #fff; /* ✅ Makes selected value white */
  background-color: transparent; /* or #333, #222 etc. */
  border: 1px solid #fff; /* optional */
}

select.form-control option {
  color: #000; /* 🟡 This is for the dropdown list text */
  background-color: #fff;
}
